x003034_g_scriptId=003034

x003034_g_IdPuTong={}
x003034_g_IdPuTong[1]={800000}     --    刷的怪物

x003034_g_PuTongNum={}
x003034_g_PuTongNum[1]={3}     --   数量

x003034_g_ExistTime = 9000000

x003034_g_MonsterPosList={}     
x003034_g_MonsterPosList[1]={{65.01,192.68,3.5},{123.17,332.12,3.93},{160.69,203.88,1.53},{291.04,203.69,1.53},{65.01,192.68,3.5},{123.17,332.12,3.93},{160.69,203.88,1.53},{291.04,203.69,1.53}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003034_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003034_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003034_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	--print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	--print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003034_g_IdPuTong[1][1]+AdaptLvl,x003034_g_MonsterPosList[1][i][3],x003034_g_MonsterPosList[1][i][1],x003034_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
		SetMonEndTime(scene, curTime, x003034_g_ExistTime, objId)
		LogMonster(scene,objId,x003034_g_IdPuTong[1][1]+AdaptLvl,x003034_g_MonsterPosList[1][i][3],x003034_g_MonsterPosList[1][i][1],x003034_g_MonsterPosList[1][i][2])
	
	end
end
